﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace RichTextBoxDictionaries
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        

        public MainPage()
        {
            this.InitializeComponent();

            c1RichTextBox1.Text = "No matter how small your plot at the cube farm, you still can be glad you're not Dilbert. Not only does he work in a tiny box, he also deals with the boss's oversize ego, Wally's underedveloped work ethic, Alice's impulisive personality, and Asok's powers of kinesis. If that's not enough to make you feel better about your job, it will make you grateful enough to work for free. Okay, maybe not, bu they'll make you feel lucky that at least you dont' ahve Topper, Ted or the woman who laughs too much on the other side of your cubicle wall.";
            c1RichTextBox1.Loaded += c1RichTextBox1_Loaded;
            
            SettingsPane.GetForCurrentView().CommandsRequested += MainPage_CommandsRequested;
        }

        void c1RichTextBox1_Loaded(object sender, RoutedEventArgs e)
        {
            // set spell checker
            c1RichTextBox1.SpellChecker = App.SpellChecker;
        }


        void MainPage_CommandsRequested(SettingsPane sender, SettingsPaneCommandsRequestedEventArgs args)
        {
            SettingsCommand optionsCommand = new SettingsCommand("OptionsId", "Options",
           (handler) =>
           {
               OptionsSettingFlyout sf = new OptionsSettingFlyout();
               sf.Show();
           });
            args.Request.ApplicationCommands.Add(optionsCommand);
        }
    }
}
